import java.util.*;
import java.io.PrintStream;

public class Meter {
   private ArrayList<Wire> testPoints;
   private PrintStream out;
   public Meter (PrintStream os) {
      out = os;
      testPoints = new ArrayList<Wire>();
   }
   
   public void addTestPoint (Wire w){
      testPoints.add(w);
   }
   public void writeHeader(){
     out.print("Time\t");
     for (Wire w:testPoints) 
        out.print(w.getSourceDescription()+"\t");
     out.println();
   }
   public void log(float time) {
      out.print(time+"\t");
      for (Wire w:testPoints) 
        out.print((w.getValue()?1:0)+"\t");
      out.println();
   }
}